Identify results panel: tweaks for usability

2016-12-11 03:52 AM - Paolo Cavallini

Status: Open

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23884

Description

The panel requires IMHO a bit of love:

    -  when querying several rasters, a too deep tree is displayed

    -  the closed state of tree is restored at each query, so the user is required a lot of useless clicks

    -  the column widths are not shrunk to actual data, so sometimes the value column is hidden, other times data are truncated, and it is

not always easy for the user noticing of these missing info.

History

#1 - 2016-12-11 03:53 AM - Paolo Cavallini

- File identif1.png added

See attached

#2 - 2016-12-11 03:59 AM - Paolo Cavallini

IMHO `Band1` should be removed everywhere for singleband rasters.

The attached image could be replaced by:

{{{

Slope2  17.44

+ Derived

Slope1  17.44

+ Derived

}}}

etc.

#3 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2018-02-24 04:24 PM - Paolo Cavallini

- Description updated

- Affected QGIS version changed from master to 3.0.0

2024-03-20 1/2



Looks unchanged in QGIS 3

#5 - 2019-03-09 03:12 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

#6 - 2019-03-09 03:33 PM - Giovanni Manghi

- Resolution deleted (end of life)

- Status changed from Closed to Open

Files

identif1.png 35.4 KB 2016-12-11 Paolo Cavallini
